ExtGroupEval (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.util
Class ExtGroupEval

    java.lang.Object
      fr.inrialpes.exmo.align.util.ExtGroupEval

    public class ExtGroupEval

extends Object

A basic class for synthesizing the results of a set of alignments provided by different algorithms. The output is a table showing various generalisations of precision and recall for each test and for each algorithm. Average is also computed as Harmonic means.

        java -cp procalign.jar fr.inrialpes.exmo.align.util.ExtGroupEval [options]

where the options are:

        -o filename --output=filename
        -f format = seo (symetric/effort-based/oriented) --format=seo
        -d debug --debug=level
        -r filename --reference=filename
        -s algo/measure
        -l list of compared algorithms
        -t output --type=output: xml/tex/html/ascii

The input is taken in the current directory in a set of subdirectories (one per test which will be rendered by a line) each directory contains a number of alignment files (one per algorithms which will be renderer as a column). If output is requested (`-o` flags), then output will be written to `output` if present, stdout by default.

    $Id: ExtGroupEval.java 1353 2010-03-24 23:49:46Z euzenat $

Author:
  Sean K. Bechhofer, Jérôme Euzenat

Field Summary
`(package private) String` | `color`
`(package private) int` | `debug`
`(package private) String` | `dominant`
`(package private) boolean` | `embedded`
`(package private) String` | `filename`
`(package private) String` | `format`
`(package private) int` | `fsize`
`(package private) Vector<String>` | `listAlgo`
`(package private) String` | `ontoDir`
`(package private) BasicParameters` | `params`
`(package private) String` | `reference`
`(package private) String` | `type`

Constructor Summary
`ExtGroupEval()`

Method Summary
`Evaluator` | `eval(String alignName1, String alignName2)`
`Vector<Object>` | `iterateAlignments(File dir)`
`Vector<Vector>` | `iterateDirectories()`
`static void` | `main(String[] args)`
`void` | `print(Vector<Vector> result)` This does not only print the results but compute the average as well
`void` | `run(String[] args)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### params

    BasicParameters params

### filename

    String filename

### reference

    String reference

### format

    String format

### fsize

    int fsize

### type

    String type

### embedded

    boolean embedded

### dominant

    String dominant

### listAlgo

    Vector<String> listAlgo

### debug

    int debug

### color

    String color

### ontoDir

    String ontoDir

Constructor Detail

### ExtGroupEval

    public ExtGroupEval()

Method Detail

### main

    public static void main(String[] args)

### run

    public void run(String[] args)
             throws Exception

  Throws:
    `Exception`

### iterateDirectories

    public Vector<Vector> iterateDirectories()

### iterateAlignments

    public Vector<Object> iterateAlignments(File dir)

### eval

    public Evaluator eval(String alignName1,
                          String alignName2)

### print

    public void print(Vector<Vector> result)

  This does not only print the results but compute the average as well

### usage

    public void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010